//---------------------------------------------------------------------------
#ifndef DS1991H
#define DS1991H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS1991_INPUT_DATA{      unsigned int  AreaNumber;};     //          
//        
struct  DS1991_OUTPUT_DATA{     unsigned char Test;             //  
                                bool Success;};                 //    

DS1991_OUTPUT_DATA DS1991_WriteToScratchpad();                          //    Scratchpad (0x96) (   4)
DS1991_OUTPUT_DATA DS1991_ReadFromScratchpad();                         //    Scratchpad (0x69) (   4)
DS1991_OUTPUT_DATA DS1991_CopyScratchpadToMemory(DS1991_INPUT_DATA);    //    Scratchpad  Subkey 1 ,2  3 (0x3C)
DS1991_OUTPUT_DATA DS1991_ReadSubKey(DS1991_INPUT_DATA);                //      (  1, 2  3) (0x66)
DS1991_OUTPUT_DATA DS1991_WriteSubKey(DS1991_INPUT_DATA);               //      (  1, 2  3) (0x99)
DS1991_OUTPUT_DATA DS1991_WritePassword(DS1991_INPUT_DATA);             //        (  1, 2  3) (0x5A)
//---------------------------------------------------------------------------
#endif
 