//---------------------------------------------------------------------------
#ifndef FormFunctionsH
#define FormFunctionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
struct form_inf { unsigned int RE1Start, RE1Size;       //   RichEdit1
                  unsigned int RE2Start, RE2Size;       //   RichEdit2
                  unsigned int RE3Start, RE3Size;       //   RichEdit3
                  unsigned int RE4Start, RE4Size;       //   RichEdit4
                  unsigned int RE5Start, RE5Size;       //   RichEdit5
                  unsigned int RE6Start, RE6Size;       //   RichEdit6
                  unsigned int RE7Start, RE7Size;       //   RichEdit7
                  unsigned int RE8Start, RE8Size;};     //   RichEdit8
//---------------------------------------------------------------------------
void InitFormInf(unsigned char);                        //      
void InitForm(unsigned char);                           //     
void AllInvisible(void);                                //       
void CommonVisible(void);                               //       
void InitDataOnForm(unsigned char);                     //       
void EnableControlButtons(void);                        //   
void DisableControlButtons(void);                       //   
void PlaceDataToForm(unsigned char, unsigned char);     //         
void GetDataToMemory(unsigned char, unsigned char);     //         
void RenameFormElements();                              //        
void SaveLangOptions();                                 //     
void LoadLangOptions();                                 //      
//---------------------------------------------------------------------------
//---    ----------------------------------
//---------------------------------------------------------------------------
extern struct form_inf FormData;
//---------------------------------------------------------------------------
#endif
