//---------------------------------------------------------------------------
#ifndef DS2430AH
#define DS2430AH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS2430_INPUT_DATA{      unsigned int  AreaNumber;};     //          
//        
struct  DS2430_OUTPUT_DATA{     unsigned char Status;           //  
                                bool Success;};                 //    

DS2430_OUTPUT_DATA DS2430_WriteToScratchpad(DS2430_INPUT_DATA);         //    Scratchpad (0x0F) (  1,2)
DS2430_OUTPUT_DATA DS2430_ReadFromScratchpad();                         //    Scratchpad (0xAA) (   2)
DS2430_OUTPUT_DATA DS2430_CopyScratchpadToMemory();                     //    Scratchpad  EEPROM (0x55)
DS2430_OUTPUT_DATA DS2430_ReadFromMemory();                             //     (0xF0) (   1)
DS2430_OUTPUT_DATA DS2430_WriteToApplRegister();                        //    Application Register (0x99) (   3)
DS2430_OUTPUT_DATA DS2430_ReadFromStatusRegister();                     //    (0x66)
DS2430_OUTPUT_DATA DS2430_ReadFromApplRegister();                       //    Application Register (0xC3) (   3)
DS2430_OUTPUT_DATA DS2430_CopyAndLockApplRegister();                    //    Application Register Scratchpad  Application Register   (0x5A)
//---------------------------------------------------------------------------
#endif
 