//---------------------------------------------------------------------------
#ifndef DS2502H
#define DS2502H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS2502_INPUT_DATA{     unsigned char TA1;              //    ( )
                               unsigned char TA2;              //    ( )
                               unsigned int  Size;             //     
                               unsigned int  AreaNumber;};     //          
                               //  AreaNumber != 1       Scratchpad
                               //        Area3
// ,       
struct  DS2502_OUTPUT_DATA{    unsigned char Test;             //  
                               bool Success;};                 //    

DS2502_OUTPUT_DATA DS2502_ReadFromMemory();                     //     (0xF0) (   1)
DS2502_OUTPUT_DATA DS2502_ReadFromStatus();                     //    (0xAA) (   2)
DS2502_OUTPUT_DATA DS2502_ReadFromMemoryCRC8();                 //     (0xC3) (   1)
DS2502_OUTPUT_DATA DS2502_WriteToMemory(DS2502_INPUT_DATA);     //     (0x0F) (  1, Scratchpad) (IO1,2 code = 01, IO0 - start signal)
DS2502_OUTPUT_DATA DS2502_WriteToStatus(DS2502_INPUT_DATA);     //    (0x55) (  2)
//---------------------------------------------------------------------------
#endif
 